Bug 1437415 - FTBFS crash when compiling org.eclipse.cdt.core
Summary: FTBFS crash when compiling org.eclipse.cdt.core
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt
Version: 26
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2017-03-30 09:40 UTC by Dan Horák
Modified: 2017-04-07 18:19 UTC (History)
8 users (show)

Fixed In Version: eclipse-cdt-9.2.1-2.fc26 eclipse-cdt-9.2.1-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-05 21:59:35 UTC


Attachments (Terms of Use)
build.log (164.42 KB, text/plain)
2017-03-30 09:40 UTC, Dan Horák
no flags Details

Description Dan Horák 2017-03-30 09:40:11 UTC
Created attachment 1267457 [details]
build.log

eclipse-cdt fails to build in F-26 with a silent crash(?) when compiling org.eclipse.cdt.core, see attachment for the full build.log, but there are no details.

regular build using koji-shadow (aka the same buildroot as in primary koji) is https://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2536436

a scratch build in current F-26 buildroot is https://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2536554


Version-Release number of selected component (if applicable):
eclipse-cdt-9.2.0-4.fc26

Comment 1 Mat Booth 2017-03-30 09:43:26 UTC
Is it the same with the latest version eclipse-cdt-9.2.1-1 ?

Comment 2 Dan Horák 2017-03-30 10:01:14 UTC
yes, it is

from local rebuild in rawhide
...
[INFO] --- tycho-packaging-plugin:0.26.0:build-qualifier (default-build-qualifier) @ org.eclipse.cdt.core ---
[INFO] The project's OSGi version is 6.2.0.201703300955
[INFO] 
[INFO] --- tycho-packaging-plugin:0.26.0:validate-id (default-validate-id) @ org.eclipse.cdt.core ---
[INFO] 
[INFO] --- tycho-packaging-plugin:0.26.0:validate-version (default-validate-version) @ org.eclipse.cdt.core ---
[INFO] 
[INFO] --- maven-resources-plugin:3.0.2:resources (default-resources) @ org.eclipse.cdt.core ---
[INFO] Using 'ISO-8859-1' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /home/sharkcz/eclipse-cdt/org.eclipse.cdt-CDT_9_2_1/core/org.eclipse.cdt.core/src/main/resources
[INFO] 
[INFO] --- tycho-compiler-plugin:0.26.0:compile (default-compile) @ org.eclipse.cdt.core ---
[INFO] Compiling 2285 source files to /home/sharkcz/eclipse-cdt/org.eclipse.cdt-CDT_9_2_1/core/org.eclipse.cdt.core/target/classes
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] CDT Parent ......................................... SUCCESS [  0.111 s]
[INFO] org.eclipse.tools.templates.core ................... SUCCESS [  4.512 s]
[INFO] org.eclipse.tools.templates.ui ..................... SUCCESS [  2.032 s]
[INFO] org.eclipse.tools.templates.freemarker ............. SUCCESS [  1.060 s]
[INFO] org.eclipse.cdt.core.native ........................ SUCCESS [  1.367 s]
[INFO] org.eclipse.cdt.core.linux ......................... SUCCESS [  2.536 s]
[INFO] org.eclipse.cdt.core.linux.s390x ................... SUCCESS [  0.144 s]
[INFO] org.eclipse.cdt.native.serial ...................... SUCCESS [  1.282 s]
[INFO] org.eclipse.cdt.native ............................. SUCCESS [  0.718 s]
[INFO] org.eclipse.cdt.native.source ...................... SUCCESS [  0.391 s]
[INFO] org.eclipse.cdt .................................... SUCCESS [  0.429 s]
[INFO] org.eclipse.cdt.core ............................... FAILURE [02:04 min]
[INFO] org.eclipse.cdt.codan.core ......................... SKIPPED
[INFO] org.eclipse.cdt.ui ................................. SKIPPED
[INFO] org.eclipse.cdt.codan.ui ........................... SKIPPED
[INFO] org.eclipse.cdt.codan.core.cxx ..................... SKIPPED
[INFO] org.eclipse.cdt.codan.ui.cxx ....................... SKIPPED
[INFO] org.eclipse.cdt.codan.checkers ..................... SKIPPED
[INFO] org.eclipse.cdt.codan.checkers.ui .................. SKIPPED
[INFO] org.eclipse.cdt.debug.core ......................... SKIPPED
[INFO] org.eclipse.cdt.debug.ui ........................... SKIPPED
[INFO] org.eclipse.cdt.make.core .......................... SKIPPED
[INFO] org.eclipse.cdt.make.ui ............................ SKIPPED
[INFO] org.eclipse.cdt.managedbuilder.core ................ SKIPPED
[INFO] org.eclipse.cdt.managedbuilder.ui .................. SKIPPED
[INFO] org.eclipse.cdt.doc.user ........................... SKIPPED
[INFO] org.eclipse.cdt.dsf ................................ SKIPPED
[INFO] org.eclipse.cdt.dsf.ui ............................. SKIPPED
[INFO] org.eclipse.cdt.platform ........................... SKIPPED
[INFO] org.eclipse.cdt.platform.source .................... SKIPPED
[INFO] org.eclipse.cdt.build.gcc.core ..................... SKIPPED
[INFO] org.eclipse.cdt.managedbuilder.gnu.ui .............. SKIPPED
[INFO] org.eclipse.cdt.gnu.build .......................... SKIPPED
[INFO] org.eclipse.cdt.gnu.build.source ................... SKIPPED
[INFO] org.eclipse.cdt.gdb ................................ SKIPPED
[INFO] org.eclipse.cdt.gdb.ui ............................. SKIPPED
[INFO] org.eclipse.cdt.gdb ................................ SKIPPED
[INFO] org.eclipse.cdt.gdb.source ......................... SKIPPED
[INFO] org.eclipse.cdt.launch ............................. SKIPPED
[INFO] org.eclipse.cdt.gnu.debug .......................... SKIPPED
[INFO] org.eclipse.cdt.gnu.debug.source ................... SKIPPED
[INFO] org.eclipse.cdt.dsf.gdb ............................ SKIPPED
[INFO] org.eclipse.cdt.dsf.gdb.ui ......................... SKIPPED
[INFO] org.eclipse.cdt.debug.application .................. SKIPPED
[INFO] org.eclipse.cdt.debug.application.doc .............. SKIPPED
[INFO] org.eclipse.cdt.debug.standalone ................... SKIPPED
[INFO] org.eclipse.cdt.debug.standalone.source ............ SKIPPED
[INFO] org.eclipse.cdt.visualizer.core .................... SKIPPED
[INFO] org.eclipse.cdt.visualizer.ui ...................... SKIPPED
[INFO] org.eclipse.cdt.dsf.gdb.multicorevisualizer.ui ..... SKIPPED
[INFO] org.eclipse.cdt.gnu.dsf ............................ SKIPPED
[INFO] org.eclipse.cdt.gnu.dsf.source ..................... SKIPPED
[INFO] org.eclipse.cdt.gnu.multicorevisualizer ............ SKIPPED
[INFO] org.eclipse.cdt .................................... SKIPPED
[INFO] org.eclipse.cdt.doc.isv ............................ SKIPPED
[INFO] org.eclipse.cdt.sdk ................................ SKIPPED
[INFO] org.eclipse.cdt.sdk ................................ SKIPPED
[INFO] org.eclipse.cdt.core.lrparser ...................... SKIPPED
[INFO] org.eclipse.cdt.core.lrparser.feature .............. SKIPPED
[INFO] org.eclipse.cdt.core.lrparser.source ............... SKIPPED
[INFO] org.eclipse.cdt.core.lrparser.sdk .................. SKIPPED
[INFO] org.eclipse.cdt.core.parser.upc .................... SKIPPED
[INFO] org.eclipse.cdt.core.parser.upc.feature ............ SKIPPED
[INFO] org.eclipse.cdt.core.parser.upc.source ............. SKIPPED
[INFO] org.eclipse.cdt.core.parser.upc.sdk ................ SKIPPED
[INFO] org.eclipse.cdt.managedbuilder.bupc.ui ............. SKIPPED
[INFO] org.eclipse.cdt.bupc ............................... SKIPPED
[INFO] org.eclipse.cdt.debug.gdbjtag ...................... SKIPPED
[INFO] org.eclipse.cdt.debug.gdbjtag.core ................. SKIPPED
[INFO] org.eclipse.cdt.debug.gdbjtag.ui ................... SKIPPED
[INFO] org.eclipse.cdt.debug.gdbjtag ...................... SKIPPED
[INFO] org.eclipse.cdt.core.lrparser.xlc .................. SKIPPED
[INFO] org.eclipse.cdt.errorparsers.xlc ................... SKIPPED
[INFO] org.eclipse.cdt.make.xlc.core ...................... SKIPPED
[INFO] org.eclipse.cdt.managedbuilder.xlc.core ............ SKIPPED
[INFO] org.eclipse.cdt.managedbuilder.xlc.ui .............. SKIPPED
[INFO] org.eclipse.cdt.managedbuilder.xlupc.ui ............ SKIPPED
[INFO] org.eclipse.cdt.xlc.feature ........................ SKIPPED
[INFO] org.eclipse.cdt.xlc.source ......................... SKIPPED
[INFO] org.eclipse.cdt.xlc.sdk ............................ SKIPPED
[INFO] org.eclipse.cdt.util ............................... SKIPPED
[INFO] org.eclipse.cdt.util ............................... SKIPPED
[INFO] org.eclipse.cdt.debug.ui.memory.memorybrowser ...... SKIPPED
[INFO] org.eclipse.cdt.debug.ui.memory.floatingpoint ...... SKIPPED
[INFO] org.eclipse.cdt.debug.ui.memory.search ............. SKIPPED
[INFO] org.eclipse.cdt.debug.ui.memory.traditional ........ SKIPPED
[INFO] org.eclipse.cdt.debug.ui.memory.transport .......... SKIPPED
[INFO] org.eclipse.cdt.debug.ui.memory .................... SKIPPED
[INFO] org.eclipse.cdt.debug.ui.memory.source ............. SKIPPED
[INFO] org.eclipse.cdt.build.crossgcc ..................... SKIPPED
[INFO] org.eclipse.cdt.build.crossgcc ..................... SKIPPED
[INFO] org.eclipse.cdt.launch.remote ...................... SKIPPED
[INFO] org.eclipse.cdt.launch.remote ...................... SKIPPED
[INFO] org.eclipse.cdt.msw.build .......................... SKIPPED
[INFO] org.eclipse.cdt.msw ................................ SKIPPED
[INFO] org.eclipse.cdt.examples.dsf ....................... SKIPPED
[INFO] org.eclipse.cdt.examples.dsf.pda ................... SKIPPED
[INFO] org.eclipse.cdt.examples.dsf.pda.ui ................ SKIPPED
[INFO] org.eclipse.cdt.examples.dsf ....................... SKIPPED
[INFO] org.eclipse.cdt.visualizer.examples ................ SKIPPED
[INFO] org.eclipse.cdt.visualizer ......................... SKIPPED
[INFO] org.eclipse.cdt.core.tests ......................... SKIPPED
[INFO] org.eclipse.cdt.ui.tests ........................... SKIPPED
[INFO] org.eclipse.cdt.codan.core.test .................... SKIPPED
[INFO] org.eclipse.cdt.codan.checkers.ui.test ............. SKIPPED
[INFO] org.eclipse.cdt.managedbuilder.core.tests .......... SKIPPED
[INFO] org.eclipse.cdt.managedbuilder.ui.tests ............ SKIPPED
[INFO] org.eclipse.cdt.make.core.tests .................... SKIPPED
[INFO] org.eclipse.cdt.make.ui.tests ...................... SKIPPED
[INFO] org.eclipse.cdt.dsf.gdb.tests ...................... SKIPPED
[INFO] org.eclipse.cdt.tests.dsf.gdb ...................... SKIPPED
[INFO] org.eclipse.cdt.examples.dsf.gdb ................... SKIPPED
[INFO] org.eclipse.cdt.dsf.gdb.multicorevisualizer.ui.tests SKIPPED
[INFO] org.eclipse.cdt.remote.core ........................ SKIPPED
[INFO] org.eclipse.cdt.autotools.core ..................... SKIPPED
[INFO] org.eclipse.cdt.autotools.docs ..................... SKIPPED
[INFO] org.eclipse.cdt.autotools.ui ....................... SKIPPED
[INFO] org.eclipse.cdt.autotools.tests .................... SKIPPED
[INFO] org.eclipse.cdt.autotools.ui.tests ................. SKIPPED
[INFO] org.eclipse.cdt.autotools .......................... SKIPPED
[INFO] org.eclipse.cdt.autotools.source ................... SKIPPED
[INFO] org.eclipse.cdt.docker.launcher .................... SKIPPED
[INFO] org.eclipse.cdt.docker.launcher .................... SKIPPED
[INFO] org.eclipse.cdt.docker.launcher.source ............. SKIPPED
[INFO] org.eclipse.cdt.testsrunner ........................ SKIPPED
[INFO] org.eclipse.cdt.testsrunner.boost .................. SKIPPED
[INFO] org.eclipse.cdt.testsrunner.gtest .................. SKIPPED
[INFO] org.eclipse.cdt.testsrunner.qttest ................. SKIPPED
[INFO] org.eclipse.cdt.testsrunner.tap .................... SKIPPED
[INFO] org.eclipse.cdt.testsrunner.test ................... SKIPPED
[INFO] org.eclipse.cdt.testsrunner.feature ................ SKIPPED
[INFO] org.eclipse.cdt.testsrunner.source.feature ......... SKIPPED
[INFO] org.eclipse.cdt.managedbuilder.llvm.ui ............. SKIPPED
[INFO] org.eclipse.cdt.managedbuilder.llvm ................ SKIPPED
[INFO] org.eclipse.cdt.llvm.dsf.lldb.core ................. SKIPPED
[INFO] org.eclipse.cdt.llvm.dsf.lldb.ui ................... SKIPPED
[INFO] org.eclipse.cdt.llvm.dsf.lldb ...................... SKIPPED
[INFO] org.eclipse.cdt.qt.core ............................ SKIPPED
[INFO] org.eclipse.cdt.qt.ui .............................. SKIPPED
[INFO] org.eclipse.cdt.qt ................................. SKIPPED
[INFO] org.eclipse.cdt.qt.ui.tests ........................ SKIPPED
[INFO] org.eclipse.cdt.cmake.core ......................... SKIPPED
[INFO] org.eclipse.cdt.cmake.ui ........................... SKIPPED
[INFO] org.eclipse.cdt.cmake .............................. SKIPPED
[INFO] org.eclipse.cdt.errorparsers.xlc.tests ............. SKIPPED
[INFO] org.eclipse.cdt.remote ............................. SKIPPED
[INFO] org.eclipse.cdt.arduino.core ....................... SKIPPED
[INFO] org.eclipse.cdt.arduino.ui ......................... SKIPPED
[INFO] org.eclipse.cdt.arduino ............................ SKIPPED
[INFO] org.eclipse.cdt.testing ............................ SKIPPED
[INFO] org.eclipse.cdt.testing ............................ SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 09:17 min
[INFO] Finished at: 2017-03-30T11:57:22+02:00
[INFO] Final Memory: 138M/247M
[INFO] ------------------------------------------------------------------------
[ERROR] Java heap space -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/OutOfMemoryError
error: Bad exit status from /var/tmp/rpm-tmp.QDbauy (%build)

Comment 3 Mat Booth 2017-03-30 10:26:50 UTC
I bumped the memory allowed by maven to 1gb.

Comment 4 Fedora Update System 2017-03-31 10:12:02 UTC
ecj-4.6.3-1.fc25 eclipse-cdt-9.2.1-2.fc25 eclipse-dltk-5.7.1-1.fc25 eclipse-linuxtools-5.3.1-1.fc25 eclipse-mdt-uml2-5.2.3-1.fc25 eclipse-mpc-1.5.4-1.fc25 eclipse-mylyn-3.21.0-4.fc25 eclipse-photran-9.1.2-1.fc25 eclipse-ptp-9.1.2-1.fc25 eclipse-tm-terminal-4.2.0-1.fc25 eclipse-usage-4.4.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-797cf08949

Comment 5 Fedora Update System 2017-03-31 10:12:13 UTC
ecj-4.6.3-1.fc25 eclipse-cdt-9.2.1-2.fc25 eclipse-dltk-5.7.1-1.fc25 eclipse-linuxtools-5.3.1-1.fc25 eclipse-mdt-uml2-5.2.3-1.fc25 eclipse-mpc-1.5.4-1.fc25 eclipse-mylyn-3.21.0-4.fc25 eclipse-photran-9.1.2-1.fc25 eclipse-ptp-9.1.2-1.fc25 eclipse-tm-terminal-4.2.0-1.fc25 eclipse-usage-4.4.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-797cf08949

Comment 6 Fedora Update System 2017-03-31 10:16:18 UTC
ecj-4.6.3-1.fc26 eclipse-cdt-9.2.1-2.fc26 eclipse-dltk-5.7.1-1.fc26 eclipse-linuxtools-5.3.1-1.fc26 eclipse-mdt-uml2-5.2.3-1.fc26 eclipse-mpc-1.5.4-1.fc26 eclipse-mylyn-3.21.0-4.fc26 eclipse-photran-9.1.2-1.fc26 eclipse-ptp-9.1.2-1.fc26 eclipse-tm-terminal-4.2.0-1.fc26 eclipse-usage-4.4.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ad57d5bc6

Comment 7 Fedora Update System 2017-03-31 10:16:28 UTC
ecj-4.6.3-1.fc26 eclipse-cdt-9.2.1-2.fc26 eclipse-dltk-5.7.1-1.fc26 eclipse-linuxtools-5.3.1-1.fc26 eclipse-mdt-uml2-5.2.3-1.fc26 eclipse-mpc-1.5.4-1.fc26 eclipse-mylyn-3.21.0-4.fc26 eclipse-photran-9.1.2-1.fc26 eclipse-ptp-9.1.2-1.fc26 eclipse-tm-terminal-4.2.0-1.fc26 eclipse-usage-4.4.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ad57d5bc6

Comment 8 Fedora Update System 2017-03-31 16:51:32 UTC
ecj-4.6.3-1.fc26, eclipse-cdt-9.2.1-2.fc26, eclipse-dltk-5.7.1-1.fc26, eclipse-linuxtools-5.3.1-1.fc26, eclipse-mdt-uml2-5.2.3-1.fc26, eclipse-mpc-1.5.4-1.fc26, eclipse-mylyn-3.21.0-4.fc26, eclipse-photran-9.1.2-1.fc26, eclipse-ptp-9.1.2-1.fc26, eclipse-tm-terminal-4.2.0-1.fc26, eclipse-usage-4.4.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ad57d5bc6

Comment 9 Fedora Update System 2017-04-01 01:51:24 UTC
ecj-4.6.3-1.fc25, eclipse-cdt-9.2.1-2.fc25, eclipse-dltk-5.7.1-1.fc25, eclipse-linuxtools-5.3.1-1.fc25, eclipse-mdt-uml2-5.2.3-1.fc25, eclipse-mpc-1.5.4-1.fc25, eclipse-mylyn-3.21.0-4.fc25, eclipse-photran-9.1.2-1.fc25, eclipse-ptp-9.1.2-1.fc25, eclipse-tm-terminal-4.2.0-1.fc25, eclipse-usage-4.4.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-797cf08949

Comment 10 Fedora Update System 2017-04-05 21:59:35 UTC
ecj-4.6.3-1.fc26, eclipse-cdt-9.2.1-2.fc26, eclipse-dltk-5.7.1-1.fc26, eclipse-linuxtools-5.3.1-1.fc26, eclipse-mdt-uml2-5.2.3-1.fc26, eclipse-mpc-1.5.4-1.fc26, eclipse-mylyn-3.21.0-4.fc26, eclipse-photran-9.1.2-1.fc26, eclipse-ptp-9.1.2-1.fc26, eclipse-tm-terminal-4.2.0-1.fc26, eclipse-usage-4.4.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-04-07 18:19:16 UTC
ecj-4.6.3-1.fc25, eclipse-cdt-9.2.1-2.fc25, eclipse-dltk-5.7.1-1.fc25, eclipse-linuxtools-5.3.1-1.fc25, eclipse-mdt-uml2-5.2.3-1.fc25, eclipse-mpc-1.5.4-1.fc25, eclipse-mylyn-3.21.0-4.fc25, eclipse-photran-9.1.2-1.fc25, eclipse-ptp-9.1.2-1.fc25, eclipse-tm-terminal-4.2.0-1.fc25, eclipse-usage-4.4.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.